<?php

session_start();
include("config.php");

// If already logged in, send user to index.php
if(isset($_SESSION["loggedIn"])){
	header("Location: index.php");
}

// If pass was posted to this page, check if it matches pass in config.php
if(isset($_POST['pass'])){
	if($_POST['pass'] == $INTERFACEPASS){
		$_SESSION["loggedIn"] = true;
		header("Location: index.php");
	}
}

?>
<!DOCTYPE html>
<html>
<head>
	<title>Login</title>
    <script type="text/javascript" src="js/scripts.js"></script>
    
	<link href='http://fonts.googleapis.com/css?family=Titillium+Web:400,700' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" href="style/style.css" />
</head>

<body>

<script>
// Set focus to password field
$(document).ready(function(){
	$('#password').focus();
});
</script>

<div class="loginContainer">
	<div class="container">
		<div class="header">CoreProtect Web Interface</div>
		<form action="login.php" method="post">
			<?php 
				// If pass was posted but it is wrong, show error
				if(isset($_POST['pass']) && $_POST['pass'] != $INTERFACEPASS){
					echo '<div class="error">Incorrect Password</div>';
				}
			?>
			<table class="tableContainer">
				<tr>
					<td><input type="password" class="password" id="password" name="pass" placeholder="Enter password"></td>
					<td><input type="submit" class="button" id="login" value="Login"></td>
				</tr>
			</table>
		</form>
	</div>
</div>

</body>

</html>