<?php 
/*
 * Web interface by Lexplay 
 * CoreProtect plugin by Intellii
 * 
 * config.php
 * Contains settings for web interface and MySQL
 */


/*
 * Important settings
 */

// Web interface password
$INTERFACEPASS = "";

// MySQL settings
$HOST = "localhost";
$USER = "root";
$PASS = "";
$PORT = "3306";

$DATABASE = "database";
$TABLEPREFIX = "co_";


/*
 * Optional settings
 */

/*
 * Limit maximum number of results
 */ 
$MAXRESULTS = 5000;

/*
 * Settings for copy command button (right column of results)
 * Omit the coordinates, they will be appended to the end of the command
 */
$PLAYERNAME = "player1";
$COMMAND = "/tp $PLAYERNAME"; // Command for vanilla Minecraft teleport
//$COMMAND = "/tppos"; // Command for Essentials teleport. Uncomment this if you are using Essentials

/*
 * If coords are entered but radius is not set radius to this number (no quotes)
 */
$DEFAULTRADIUS = 20;

/*
 * If no world is selected, search in this world
 * 1 = Overworld, 2 = Nether, 3 = End. 
 * Multiverse worlds should start from 4
 */ 
$DEFAULTWORLD = "1";

/*
 * If time is not specified, search from this many hours ago (no quotes)
 * Set to 0 to search entire history by default
 */
$DEFAULTHOURSFROM = 72;
?>